Bug 24696 - Fix for makedepend name source to object name munging
Summary: Fix for makedepend name source to object name munging
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-23 15:16 UTC by Murray Anderegg
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 04:31:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch applied with '%patch20 -p1 -b .makedepend' in XFree86.spec (610 bytes, patch)
2001-01-23 15:20 UTC, Murray Anderegg
no flags Details | Diff

Description Murray Anderegg 2001-01-23 15:16:26 UTC
makedepend assumes that the source file has a one character suffix, for
example '.c'.
This enhancement instead assumes that the suffix is everything after the
last '.' in the source file name. This allows files to have a suffix such
as '.cpp'.

Here is a patch that works against XFree86-4.0.1-1 and XFree86-4.0.2-1.
I apply this patch to XFree86-4.0.2-1 as 'Patch20' with '%patch20 -p1 -b
.makedepend'.

*** XFree86-4.0/xc/config/util/mdepend.cpp.orig Mon Apr 17 09:27:09 2000
--- XFree86-4.0/xc/config/util/mdepend.cpp      Mon Apr 17 12:11:17 2000
***************
*** 174,180 ****


            {
!           ofile = substr ($1, 1, length ($1) - 2) "'"$objsuffix"'"
            print ofile, $4
            }
        }'   | sort -u   | awk '
--- 174,185 ----


            {
!             ofile = "";
!             na = split($1, a, ".");
!             ofile = a[1];
!             for (i=2; i<na; i++)
!               ofile = ofile "." a[i];
!           ofile = ofile "'"$objsuffix"'"
            print ofile, $4
            }
        }'   | sort -u   | awk '

Comment 1 Murray Anderegg 2001-01-23 15:20:16 UTC
Created attachment 8070 [details]
Patch applied with '%patch20 -p1 -b .makedepend' in XFree86.spec

Comment 2 Mike A. Harris 2001-03-28 06:38:25 UTC
Deferring for future consideration.

Comment 3 Mike A. Harris 2001-07-16 08:07:56 UTC
We do not ship this script anymore.


Note You need to log in before you can comment on or make changes to this bug.